Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » teneo - Usage of assert
teneo - Usage of assert [message #64729] Fri, 15 December 2006 16:24 Go to next message
Eclipse UserFriend
Originally posted by: Thomas.Hofmann.de.ibm.com

Hi,

I noticed that the code in HEAD contains the assert statement (from Java 5)
whereas the projects seem to be compatible to Java 1.4.

What should be the supported Java level?

Thanks,

Thomas
Re: teneo - Usage of assert [message #64752 is a reply to message #64729] Mon, 18 December 2006 16:40 Go to previous message
Eclipse UserFriend
Originally posted by: stepper.sympedia.de

Thomas,

The assert keyword was introduced with Java 1.4.

Cheers
/Eike


Thomas Hofmann schrieb:
> Hi,
>
> I noticed that the code in HEAD contains the assert statement (from Java 5)
> whereas the projects seem to be compatible to Java 1.4.
>
> What should be the supported Java level?
>
> Thanks,
>
> Thomas
>
>
>
Re: teneo - Usage of assert [message #65132 is a reply to message #64752] Sun, 17 December 2006 09:11 Go to previous message
Eclipse UserFriend
Originally posted by: Thomas.Hofmann.de.ibm.com

Thanks for answering. Of course, you are right. I just needed to adjust my
compiler settings...

Thomas

"Eike Stepper" <stepper@sympedia.de> wrote in message
news:em6g8r$ofr$3@utils.eclipse.org...
> Thomas,
>
> The assert keyword was introduced with Java 1.4.
>
> Cheers
> /Eike
>
>
> Thomas Hofmann schrieb:
>> Hi,
>>
>> I noticed that the code in HEAD contains the assert statement (from Java
>> 5) whereas the projects seem to be compatible to Java 1.4.
>>
>> What should be the supported Java level?
>>
>> Thanks,
>>
>> Thomas
>>
>>
Re: teneo - Usage of assert [message #597040 is a reply to message #64729] Mon, 18 December 2006 16:40 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 6538
Registered: July 2009
Senior Member
Thomas,

The assert keyword was introduced with Java 1.4.

Cheers
/Eike


Thomas Hofmann schrieb:
> Hi,
>
> I noticed that the code in HEAD contains the assert statement (from Java 5)
> whereas the projects seem to be compatible to Java 1.4.
>
> What should be the supported Java level?
>
> Thanks,
>
> Thomas
>
>
>


Re: teneo - Usage of assert [message #597197 is a reply to message #64752] Sun, 17 December 2006 09:11 Go to previous message
Thomas Hofmann is currently offline Thomas HofmannFriend
Messages: 6
Registered: July 2009
Junior Member
Thanks for answering. Of course, you are right. I just needed to adjust my
compiler settings...

Thomas

"Eike Stepper" <stepper@sympedia.de> wrote in message
news:em6g8r$ofr$3@utils.eclipse.org...
> Thomas,
>
> The assert keyword was introduced with Java 1.4.
>
> Cheers
> /Eike
>
>
> Thomas Hofmann schrieb:
>> Hi,
>>
>> I noticed that the code in HEAD contains the assert statement (from Java
>> 5) whereas the projects seem to be compatible to Java 1.4.
>>
>> What should be the supported Java level?
>>
>> Thanks,
>>
>> Thomas
>>
>>
Previous Topic:[Teneo] GMF -mindmap example problem
Next Topic:[Teneo] GMF -mindmap example problem
Goto Forum:
  


Current Time: Sat Feb 27 22:18:21 GMT 2021

Powered by FUDForum. Page generated in 0.02250 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top